### Method

# GUPnPAV DIDLLiteWriter get_string

#### Declaration [src]

    char*
    gupnp_didl_lite_writer_get_string (
      GUPnPDIDLLiteWriter* writer
    )

#### Description [src]

Creates a string representation of the DIDL-Lite XML document.

#### Return value

Type: `char*`

The DIDL-Lite XML string, or `NULL`. #g_free after usage.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.